server {
        listen 8080 ;
        server_name         localhost;

        location / {
            proxy_pass https://front:3000;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection $http_connection;
            proxy_set_header Host $host;
            proxy_set_header X-Forwarded-Proto $scheme;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
        location /api {  
            proxy_pass https://backend:1443/api;
        }
        location /OAuth2Login {
            proxy_pass https://backend:1443/OAuth2Login;
        }
        location /OAuth2Callback {
            proxy_pass https://backend:1443/OAuth2Callback;
        }
        location /Logout {
            proxy_pass https://backend:1443/Logout;
        }
        location /swagger {
            proxy_pass https://backend:1443/swagger;
        }
}
